
Core - Bug # 26228

Status: Closed Priority: Should have
Author: Christian Kuhn Category: Default
Created: 2011-04-24 Assigned To: Christian Kuhn
Updated: 2013-06-01 Due date:
TYPO3 Version: 4.6
PHP Version:
Complexity:
Is Regression:
Sprint Focus:
Subject: Remove obsolete safe_mode hacks from t3lib_div
Description

t3lib_div::fixPermissions() and t3lib_div::mkdir() have a preg_replace to remove a trailing slash from a given directory: Some PHP
functions like mkdir() fail with trailing slashes if safe_mode is on.

These hacks can be removed in 4.6.

Related issues:
related to Core - Bug # 25332: Remove safe_mode support Closed 2011-03-16

Associated revisions
Revision b6cdaeab - 2011-04-25 21:36 - Christian Kuhn

[BUGFIX] Remove obsolete safe_mode hacks from t3lib_div

Remove code from t3lib_div::fixPermissions and t3lib_div::mkdir that remove
a trailing slash from a given directory. This was a workaraund for PHP functions
like mkdir, they fail with trailing slashes if safe_mode is on.
Additionally the according unit tests are cleaned up and completed.

Change-Id: I44b330a3542bfd172736b103feec895b46494346
Resolves: #26228
Related: #25332
Releases: 4.6
Reviewed-on: http://review.typo3.org/1713
Reviewed-by: Susanne Moog
Tested-by: Susanne Moog
Reviewed-by: Christian Kuhn
Tested-by: Christian Kuhn

History
#1 - 2011-04-24 13:01 - Mr. Hudson

Patch set 1 of change I44b330a3542bfd172736b103feec895b46494346 has been pushed to the review server.
It is available at http://review.typo3.org/1713

#2 - 2011-04-25 21:09 - Mr. Hudson
Patch set 2 of change I44b330a3542bfd172736b103feec895b46494346 has been pushed to the review server.
It is available at http://review.typo3.org/1713

#3 - 2011-04-25 21:30 - Susanne Moog
- Status changed from New to Under Review
- Assigned To set to Christian Kuhn

#4 - 2011-04-25 22:00 - Christian Kuhn
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:b6cdaeab313dbfc1b058a9c5a544ef8e18574c48.

#5 - 2012-03-07 13:31 - Xavier Perseguers
- Status changed from Resolved to Closed

#6 - 2013-06-01 14:43 - Ernesto Baschny
- Target version deleted (1081)
